cURL
curl --request GET \
--url https://api.brightdata.com/api/{PARTNER_NAME}/usage_limit_stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/usage_limit_stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/usage_limit_stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"oc_1": {
"status": "reached",
"usage": {
"used": 0,
"period": {
"start": "2022-03-05T00:00:00.000Z",
"until": "2022-06-04T00:00:00.000Z"
},
"limit": 5242880000
}
},
"oc_unlimited": {
"status": "unlimited"
},
"oc_2": {
"error": "Customer not found"
},
"bad_id": {
"error": "wrong id"
},
"oc_inactive": {
"error": "Customer has invalid status"
},
"oc_zone": {
"error": "zone not found"
},
"oc_invalid_limit": {
"error": "invalid limit"
}
}Reseller API
Get zone usage limit stats
Use the Bright Data Reseller API to get Zone Usage Limit Stats. GET /api//usage_limit_stats returns a 200 OK JSON response for the requested action.
GET
/
api
/
{PARTNER_NAME}
/
usage_limit_stats
cURL
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Name of the proxy zone which will service your request.
Query Parameters
List of valid customers’ IDs
Existing zone name
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?